Package Details: fondo-git r275.99e96c3-2

Git Clone URL: https://aur.archlinux.org/fondo-git.git (read-only, click to copy)
Package Base: fondo-git
Description: Wallpaper App for Linux
Upstream URL: https://github.com/calo001/fondo
Keywords: elementary fondo pantheon photo vala wallpaper
Licenses: GPL3
Conflicts: fondo
Provides: fondo
Submitter: btd1337
Maintainer: btd1337
Last Packager: btd1337
Votes: 0
Popularity: 0.000000
First Submitted: 2018-08-25 05:09
Last Updated: 2019-11-26 13:55

Latest Comments

gbr commented on 2019-11-26 04:14

You should add granite as dependency as well:

$ com.github.calo001.fondo                                                                                                                                         
com.github.calo001.fondo: error while loading shared libraries: libgranite.so.5: cannot open shared object file: No such file or directory

btd1337 commented on 2019-08-25 23:27

@Tio your build error is related with https://aur.archlinux.org/packages/libunity doesn't with Fondo.

Tio commented on 2019-06-19 00:05

Error in Manjaro Gnome:

Preparing...
Cloning fondo-git build files...
Checking fondo-git dependencies...
Cloning libunity build files...
Checking libunity dependencies...

Building libunity...
==> Making package: libunity 7.1.4-8 (mié 19 jun 2019 02:04:22 CEST)
==> Checking runtime dependencies...
==> Checking buildtime dependencies...
==> Retrieving sources...
  -> Found libunity_7.1.4+19.04.20190319.orig.tar.gz
==> Validating source files with sha256sums...
    libunity_7.1.4+19.04.20190319.orig.tar.gz ... Passed
==> Removing existing $srcdir/ directory...
==> Extracting sources...
  -> Extracting libunity_7.1.4+19.04.20190319.orig.tar.gz with bsdtar
==> Starting prepare()...
/usr/bin/gnome-autogen.sh
***Warning*** USE_GNOME2_MACROS is deprecated, you may remove it from autogen.sh
***Warning*** PKG_NAME is deprecated, you may remove it from autogen.sh
checking for automake >= 1.11.2...
  testing automake... found 1.16.1
checking for autoreconf >= 2.53...
  testing autoreconf... found 2.69
checking for intltool >= 0.25...
  testing intltoolize... found 0.51.0
checking for pkg-config >= 0.14.0...
  testing pkg-config... found 1.6.1
Checking for required M4 macros...
Processing ./configure.ac
Running intltoolize...
Running autoreconf...
autoreconf: Entering directory `.'
autoreconf: configure.ac: not using Gettext
autoreconf: running: aclocal --force --warnings=no-portability 
autoreconf: configure.ac: tracing
autoreconf: running: libtoolize --copy --force
libtoolize: putting auxiliary files in '.'.
libtoolize: copying file './ltmain.sh'
libtoolize: putting macros in AC_CONFIG_MACRO_DIRS, 'm4'.
libtoolize: copying file 'm4/libtool.m4'
libtoolize: copying file 'm4/ltoptions.m4'
libtoolize: copying file 'm4/ltsugar.m4'
libtoolize: copying file 'm4/ltversion.m4'
libtoolize: copying file 'm4/lt~obsolete.m4'
libtoolize: Consider adding '-I m4' to ACLOCAL_AMFLAGS in Makefile.am.
autoreconf: running: /usr/bin/autoconf --force --warnings=no-portability
autoreconf: running: /usr/bin/autoheader --force --warnings=no-portability
autoreconf: running: automake --add-missing --copy --force-missing --warnings=no-portability
configure.ac:4: warning: AM_INIT_AUTOMAKE: two- and three-arguments forms are deprecated.  For more info, see:
configure.ac:4: https://www.gnu.org/software/automake/manual/automake.html#Modernize-AM_005fINIT_005fAUTOMAKE-invocation
configure.ac:61: installing './compile'
configure.ac:65: installing './config.guess'
configure.ac:65: installing './config.sub'
configure.ac:4: installing './install-sh'
configure.ac:4: installing './missing'
bindings/python/Makefile.am:4: installing './py-compile'
examples/Makefile.am: installing './depcomp'
parallel-tests: installing './test-driver'
autoreconf: Leaving directory `.'
Skipping configure process.
==> Removing existing $pkgdir/ directory...
==> Starting build()...
checking for a BSD-compatible install... /usr/bin/install -c
checking whether build environment is sane... yes
checking for a thread-safe mkdir -p... /usr/bin/mkdir -p
checking for gawk... gawk
checking whether make sets $(MAKE)... yes
checking whether make supports nested variables... yes
checking whether to enable maintainer-specific portions of Makefiles... no
checking whether make supports nested variables... (cached) yes
checking whether make supports the include directive... yes (GNU style)
checking for gcc... gcc
checking whether the C compiler works... yes
checking for C compiler default output file name... a.out
checking for suffix of executables... 
checking whether we are cross compiling... no
checking for suffix of object files... o
checking whether we are using the GNU C compiler... yes
checking whether gcc accepts -g... yes
checking for gcc option to accept ISO C89... none needed
checking whether gcc understands -c and -o together... yes
checking dependency style of gcc... gcc3
checking for library containing strerror... none required
checking for gcc... (cached) gcc
checking whether we are using the GNU C compiler... (cached) yes
checking whether gcc accepts -g... (cached) yes
checking for gcc option to accept ISO C89... (cached) none needed
checking whether gcc understands -c and -o together... (cached) yes
checking dependency style of gcc... (cached) gcc3
checking for gcc... (cached) gcc
checking whether we are using the GNU C compiler... (cached) yes
checking whether gcc accepts -g... (cached) yes
checking for gcc option to accept ISO C89... (cached) none needed
checking whether gcc understands -c and -o together... (cached) yes
checking dependency style of gcc... (cached) gcc3
checking how to run the C preprocessor... gcc -E
checking for grep that handles long lines and -e... /usr/bin/grep
checking for egrep... /usr/bin/grep -E
checking for ANSI C header files... yes
checking build system type... x86_64-pc-linux-gnu
checking host system type... x86_64-pc-linux-gnu
checking how to print strings... printf
checking for a sed that does not truncate output... /usr/bin/sed
checking for fgrep... /usr/bin/grep -F
checking for ld used by gcc... /usr/bin/ld
checking if the linker (/usr/bin/ld) is GNU ld... yes
checking for BSD- or MS-compatible name lister (nm)... /usr/bin/nm -B
checking the name lister (/usr/bin/nm -B) interface... BSD nm
checking whether ln -s works... yes
checking the maximum length of command line arguments... 1572864
checking how to convert x86_64-pc-linux-gnu file names to x86_64-pc-linux-gnu format... func_convert_file_noop
checking how to convert x86_64-pc-linux-gnu file names to toolchain format... func_convert_file_noop
checking for /usr/bin/ld option to reload object files... -r
checking for objdump... objdump
checking how to recognize dependent libraries... pass_all
checking for dlltool... no
checking how to associate runtime and link libraries... printf %s\n
checking for ar... ar
checking for archiver @FILE support... @
checking for strip... strip
checking for ranlib... ranlib
checking command to parse /usr/bin/nm -B output from gcc object... ok
checking for sysroot... no
checking for a working dd... /usr/bin/dd
checking how to truncate binary pipes... /usr/bin/dd bs=4096 count=1
checking for mt... no
checking if : is a manifest tool... no
checking for sys/types.h... yes
checking for sys/stat.h... yes
checking for stdlib.h... yes
checking for string.h... yes
checking for memory.h... yes
checking for strings.h... yes
checking for inttypes.h... yes
checking for stdint.h... yes
checking for unistd.h... yes
checking for dlfcn.h... yes
checking for objdir... .libs
checking if gcc supports -fno-rtti -fno-exceptions... no
checking for gcc option to produce PIC... -fPIC -DPIC
checking if gcc PIC flag -fPIC -DPIC works... yes
checking if gcc static flag -static works... yes
checking if gcc supports -c -o file.o... yes
checking if gcc supports -c -o file.o... (cached) yes
checking whether the gcc linker (/usr/bin/ld -m elf_x86_64) supports shared libraries... yes
checking whether -lc should be explicitly linked in... no
checking dynamic linker characteristics... GNU/Linux ld.so
checking how to hardcode library paths into programs... immediate
checking whether stripping libraries is possible... yes
checking if libtool supports shared libraries... yes
checking whether to build shared libraries... yes
checking whether to build static libraries... no
checking for valac... /usr/bin/valac
checking whether /usr/bin/valac is at least version 0.31.1... yes
checking for python... /usr/bin/python
checking for python version... 3.7
checking for python platform... linux
checking for python script directory... ${prefix}/lib/python3.7/site-packages
checking for python extension module directory... ${exec_prefix}/lib/python3.7/site-packages
checking for pygobject overrides directory... /usr/lib/python3.7/site-packages/gi/overrides
checking for gobject-introspection m4 macros... yes
checking for pkg-config... /usr/bin/pkg-config
checking pkg-config is at least version 0.9.0... yes
checking for gobject-introspection... yes
checking whether NLS is requested... yes
checking for intltool >= 0.40.0... 0.51.0 found
checking for intltool-update... /usr/bin/intltool-update
checking for intltool-merge... /usr/bin/intltool-merge
checking for intltool-extract... /usr/bin/intltool-extract
checking for xgettext... /usr/bin/xgettext
checking for msgmerge... /usr/bin/msgmerge
checking for msgfmt... /usr/bin/msgfmt
checking for gmsgfmt... /usr/bin/msgfmt
checking for perl... /usr/bin/perl
checking for perl >= 5.8.1... 5.28.2
checking for XML::Parser... ok
checking for xvfb-run... no
checking for dbus-run-session... /usr/bin/dbus-run-session
checking for GLIB2... yes
checking for GOBJECT2... yes
checking for GIO2... yes
checking for GIO_UNIX2... yes
checking for DEE... yes
checking for DBUSMENU... yes
checking for GTK3... yes
checking for GMODULE... yes
checking for LTTNG... no
checking for glib-compile-resources... /usr/bin/glib-compile-resources
checking for glib-mkenums... /usr/bin/glib-mkenums
checking for glib-genmarshal... /usr/bin/glib-genmarshal
checking for pkg-config... (cached) /usr/bin/pkg-config
checking pkg-config is at least version 0.16... yes
checking that generated files are newer than configure... done
configure: creating ./config.status
config.status: creating unity.pc
config.status: creating unity-protocol-private.pc
config.status: creating unity-extras.pc
config.status: creating Makefile
config.status: creating bindings/Makefile
config.status: creating bindings/python/Makefile
config.status: creating data/com.canonical.Unity.Lenses.gschema.xml.in
config.status: creating data/Makefile
config.status: creating doc/Makefile
config.status: creating doc/reference/Makefile
config.status: creating examples/Makefile
config.status: creating po/Makefile.in
config.status: creating protocol/Makefile
config.status: creating src/Makefile
config.status: creating extras/Makefile
config.status: creating loader/Makefile
config.status: creating tools/Makefile
config.status: creating test/Makefile
config.status: creating test/C/Makefile
config.status: creating test/vala/Makefile
config.status: creating test/python/Makefile
config.status: creating vapi/Makefile
config.status: creating config.h
config.status: executing depfiles commands
config.status: executing libtool commands
config.status: executing po/stamp-it commands
configure:

  libunity v7.1.4 (soname 9:2:0)
         (protocol soname 0:0:0)
  ------------------------------

  Build environment
    Prefix             : /usr
    Build GI typelib   : yes
    Documentation      : no
    C warnings         : no
    Trace logging      : no
    LTTNG tracepoints  : no

  Testing
    Integration tests  : no
    Headless tests     : yes
    Coverage reporting : no

make  all-recursive
make[1]: Entering directory '/var/tmp/pamac-build-tio/libunity/src'
Making all in data
make[2]: Entering directory '/var/tmp/pamac-build-tio/libunity/src/data'
  ITMRG  com.canonical.Unity.Lenses.gschema.xml
  GEN      com.canonical.Unity.Lenses.gschema.valid
make[2]: Leaving directory '/var/tmp/pamac-build-tio/libunity/src/data'
Making all in protocol
make[2]: Entering directory '/var/tmp/pamac-build-tio/libunity/src/protocol'
  GEN      libunity_protocol_private_la_vala.stamp
protocol-scope-discovery.vala:24.3-24.40: warning: the modifier `static' is not applicable to constants
  private static const string SCOPES_DIR = "unity/scopes";
  ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
protocol-scope-discovery.vala:190.5-190.43: warning: the modifier `static' is not applicable to constants
    private static const string SCOPE_GROUP = "Scope";
    ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
protocol-scope-discovery.vala:191.5-191.45: warning: the modifier `static' is not applicable to constants
    private static const string DESKTOP_GROUP = "Desktop Entry";
    ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
protocol-scope-discovery.vala:902.5-902.49: warning: the modifier `static' is not applicable to constants
    private static const string SCOPE_GROUP_GROUP = "Scope Group";
    ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
protocol-preview-player.vala:41.3-41.46: warning: the modifier `static' is not applicable to constants
  static const string PREVIEW_PLAYER_DBUS_NAME = "com.canonical.Unity.Lens.Music.PreviewPlayer";
  ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
protocol-preview-player.vala:42.3-42.46: warning: the modifier `static' is not applicable to constants
  static const string PREVIEW_PLAYER_DBUS_PATH = "/com/canonical/Unity/Lens/Music/PreviewPlayer";
  ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
dee-1.0.vapi:44.35-44.44: error: construct properties not supported for specified property type
        public Dee.Filter filter { get; construct; }
                                        ^^^^^^^^^^
dee-1.0.vapi:76.35-76.44: error: construct properties not supported for specified property type
        public Dee.ModelReader reader { construct; }
                                        ^^^^^^^^^^
protocol-scope-interface.vala:117.3-117.51: warning: DBus methods are recommended to throw at least `GLib.Error' or `GLib.DBusError, GLib.IOError'
  public abstract async ActivationReplyRaw activate (
  ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
protocol-scope-interface.vala:124.3-124.57: warning: DBus methods are recommended to throw at least `GLib.Error' or `GLib.DBusError, GLib.IOError'
  public abstract async HashTable<string, Variant> search (
  ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
protocol-scope-interface.vala:130.3-130.43: warning: DBus methods are recommended to throw at least `GLib.Error' or `GLib.DBusError, GLib.IOError'
  public abstract async string open_channel (
  ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
protocol-scope-interface.vala:137.3-137.42: warning: DBus methods are recommended to throw at least `GLib.Error' or `GLib.DBusError, GLib.IOError'
  public abstract async void close_channel (
  ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
protocol-scope-interface.vala:142.3-142.63: warning: DBus methods are recommended to throw at least `GLib.Error' or `GLib.DBusError, GLib.IOError'
  public abstract async HashTable<string, Variant> push_results (
  ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
protocol-scope-interface.vala:151.3-151.42: warning: DBus methods are recommended to throw at least `GLib.Error' or `GLib.DBusError, GLib.IOError'
  public abstract async void set_view_type (uint view_type) throws IOError;
  ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
Command-line option `--thread` is deprecated and will be ignored
Compilation failed: 2 error(s), 12 warning(s)
make[2]: *** [Makefile:957: libunity_protocol_private_la_vala.stamp] Error 1
make[2]: Leaving directory '/var/tmp/pamac-build-tio/libunity/src/protocol'
make[1]: *** [Makefile:571: all-recursive] Error 1
make[1]: Leaving directory '/var/tmp/pamac-build-tio/libunity/src'
make: *** [Makefile:475: all] Error 2
==> ERROR: A failure occurred in build().
    Aborting...